summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAustin English <wizardedit@gentoo.org>2016-09-07 18:28:45 -0500
committerAustin English <wizardedit@gentoo.org>2016-09-07 18:28:55 -0500
commit00f126964e4b08c18fd631df31d7a58d97257fd6 (patch)
tree767969f2a19763fd7566d1e37e5d5d49d1bb42bf /games-board/domination
parentgames-board/eboard: remove deprecated games eclass (diff)
downloadgentoo-00f126964e4b08c18fd631df31d7a58d97257fd6.tar.gz
gentoo-00f126964e4b08c18fd631df31d7a58d97257fd6.tar.bz2
gentoo-00f126964e4b08c18fd631df31d7a58d97257fd6.zip
games-board/domination: remove deprecated games eclass
Also update to EAPI 6 Gentoo-Bug: https://bugs.gentoo.org/574082 Package-Manager: portage-2.3.0
Diffstat (limited to 'games-board/domination')
-rw-r--r--games-board/domination/domination-1.1.1.6-r1.ebuild48
1 files changed, 48 insertions, 0 deletions
diff --git a/games-board/domination/domination-1.1.1.6-r1.ebuild b/games-board/domination/domination-1.1.1.6-r1.ebuild
new file mode 100644
index 00000000000..e6dd1ce0f33
--- /dev/null
+++ b/games-board/domination/domination-1.1.1.6-r1.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit eutils java-pkg-2 java-ant-2
+
+DESCRIPTION="The well-known board game, written in java"
+HOMEPAGE="http://domination.sourceforge.net"
+SRC_URI="mirror://sourceforge/domination/Domination_${PV}.zip"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~x86-fbsd"
+IUSE=""
+
+RDEPEND=">=virtual/jre-1.5"
+DEPEND=">=virtual/jdk-1.5
+ app-arch/unzip"
+
+S=${WORKDIR}/Domination
+
+EANT_BUILD_TARGET="game"
+
+pkg_setup() {
+ java-pkg-2_pkg_setup
+}
+
+src_compile() {
+ java-pkg-2_src_compile
+}
+
+src_install() {
+ newbin "${S}"/FlashGUI.sh ${PN}
+ sed -i \
+ -e "s|cd.*|cd \"/usr/share\"/${PN}|" \
+ "${D}/usr/bin"/${PN} \
+ || die
+ chmod +x "${D}/usr/bin"/${PN} || die
+
+ insinto "/usr/share/${PN}"
+ doins -r "${S}"/*
+ rm -f "${D}/usr/share"/${PN}/*.cmd || die
+ java-pkg_regjar "${D}//usr/share/${PN}"/*.jar
+
+ newicon resources/icon.png ${PN}.png
+ make_desktop_entry ${PN} "Domination"
+}